POST/synopsis/lastoneyear

POST Synopsis Last One Year

This method retrieves the number of reviews available for a specific hotel over the past year by providing the hotelcodes, sourcecodes, and shopid. The result will include a month-by-month count of reviews, organized by each hotel and source.
POST/synopsis/lastoneyear

Mandatory Fields

  • hotelCodes
  • shopId

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOk
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
429Too Many RequestsToo Many RequestsNone
404Not FoundNot foundNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /synopsis/lastoneyear \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "hotelCodes": [
    72110
  ],
  "sourceCodes": [
    1
  ],
  "shopId": 537
}

Example responses

200 Response
{
  "websiteName": "Makemytrip",
  "counts": {
    "2024-02": 2
  }
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.